%define real_version 0.9.1
%define rel alt2
#define pre_release pre1

Name: ht
Version: %real_version
%ifdef pre_release
Release: %rel.%pre_release
%endif
%ifndef pre_release
Release: %rel
%endif

Summary: ncurses-based file viewer/editor/analyzer/disassembler
Group: Development/Other
License: GPL
Url: http://hte.sourceforge.net
Packager: Ivan Fedorov <ns@altlinux.ru>

%ifdef pre_release
Source: %name-%real_version%pre_release.tar.bz2
%endif
%ifndef pre_release
Source: %name-%real_version.tar.bz2
%endif

# Automatically added by buildreq on Fri May 21 2004
BuildRequires: flex gcc-c++ libncurses-devel libstdc++-devel libtinfo-devel

%description
HT is a file editor/viewer/analyzer for executables. The goal is to combine the
low-level functionality of a debugger and the usability of IDEs. We plan to
implement all (hex-)editing features and support of the most important file
formats.

%prep
%ifdef pre_release
%setup -q -n %name-%real_version%pre_release
%endif
%ifndef pre_release
%setup -q -n %name-%real_version
%endif

%build
%__autoconf
%configure --prefix=%prefix --disable-x11-textmode --enable-release
%make

%install
%ifdef pre_release
%__mkdir_p %buildroot%_docdir/%name-%real_version%pre_release/
%makeinstall
%__install -m0644 doc/README  %buildroot%_docdir/%name-%real_version%pre_release/
%__install -m0644 doc/ht.texi %buildroot%_docdir/%name-%real_version%pre_release/
%__install -m0644 doc/ht.html %buildroot%_docdir/%name-%real_version%pre_release/
%endif
%ifndef pre_release
%__mkdir_p %buildroot%_docdir/%name-%real_version/
%makeinstall
%__install -m0644 doc/README  %buildroot%_docdir/%name-%real_version/
%__install -m0644 doc/ht.texi %buildroot%_docdir/%name-%real_version/
%__install -m0644 doc/ht.html %buildroot%_docdir/%name-%real_version/
%endif

%files
%_bindir/ht
%ifdef pre_release
%doc %_docdir/%name-%real_version%pre_release/*
%endif
%ifndef pre_release
%doc %_docdir/%name-%real_version/*
%endif

%changelog
* Sat Dec 31 2005 Ivan Fedorov <ns@altlinux.ru> 0.9.1-alt2
- fix some macros

* Wed Jul 13 2005 Ivan Fedorov <ns@altlinux.ru> 0.9.1-alt1
- 0.9.1

* Tue Jan 18 2005 ALT QA Team Robot <qa-robot@altlinux.org> 0.8.0-alt2.1
- Rebuilt with libstdc++.so.6.

* Tue Aug 10 2004 Ivan Fedorov <ns@altlinux.ru> 0.8.0-alt2
- Updated to 0.8.0

* Fri May 21 2004 Ivan Fedorov <ns@altlinux.ru> 0.8.0-alt1.pre1
- First build for Sisyphus.
